Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.packed
Class AppendingLongBuffer.Iterator

    java.lang.Object
      org.apache.lucene.util.packed.AppendingLongBuffer.Iterator

Enclosing class:
  AppendingLongBuffer

    public final class AppendingLongBuffer.Iterator

extends Object

A long iterator.

Method Summary
`boolean` | `hasNext()` Whether or not there are remaining values.
`long` | `next()` Return the next long in the buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public final boolean hasNext()

  Whether or not there are remaining values.

### next

    public final long next()

  Return the next long in the buffer.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.